import { writable } from 'svelte/store';
import { localStorageStore} from "@skeletonlabs/skeleton";

export const urls = {
    capabilities: "/capabilities",
    login: "/login",
    checkusertaken: "/register/checkusertaken",
    register: "/register"
}
export const alerts = writable([])
export const globalstore = writable({
    server: {
        url: '',
        caps: {
            register: false,
            login: false,
            reset: false
        },
    }
});

export const sessionstore = localStorageStore('vars', [], {storage: 'session'})